V1CommunityBlocks
Block a participant symmetrically or hide content and leave its challenges
For users, targetId is the participantId. Blocks apply to signed-in member views; separately consenting public displays can be viewed by anyone.
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/community/blocks" \ -H "Content-Type: application/json" \ -d '{ "targetType": "club", "targetId": "cbca1126-180e-4334-9df8-cf82289d378b" }'{ "status": "blocked"}Visible clubs, events and challenges (up to 100 of each) GET
Signed-out visitors see published public content. Private social clubs and their events/challenges require approved club membership or ownership. Unreviewed social content is excluded.
Challenge details and your current enrollment, if signed in GET
Next Page